PipeWire 1.0.5

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions
log.h File Reference
SPA » Support » Log

`spa/support/log.h` More...

Go to the source code of this file.

## Data Structures
struct | spa_log
struct | spa_log_topic
| Identifier for a topic. More...
struct | spa_log_methods

## Macros
#define | SPA_LOG_TOPIC_DEFAULT NULL
| The default log topic.
#define | SPA_TYPE_INTERFACE_Log SPA_TYPE_INFO_INTERFACE_BASE "Log"
| The Log interface.
#define | SPA_VERSION_LOG 0
| the version of this log.
#define | SPA_VERSION_LOG_TOPIC 0
#define | SPA_VERSION_LOG_METHODS 1
#define | SPA_LOG_TOPIC(v, t) (struct spa_log_topic){ .version = (v), .topic = (t)}
#define | spa_log_logt(l, lev, topic, ...)
#define | spa_log_logtv(l, lev, topic, ...)
#define | spa_logt_lev(l, lev, t, ...) spa_log_logt(l,lev,t,__FILE__,__LINE__,__func__,__VA_ARGS__)
#define | spa_log_lev(l, lev, ...) spa_logt_lev(l,lev,SPA_LOG_TOPIC_DEFAULT,__VA_ARGS__)
#define | spa_log_log(l, lev, ...) spa_log_logt(l,lev,SPA_LOG_TOPIC_DEFAULT,__VA_ARGS__)
#define | spa_log_logv(l, lev, ...) spa_log_logtv(l,lev,SPA_LOG_TOPIC_DEFAULT,__VA_ARGS__)
#define | spa_log_error(l, ...) spa_log_lev(l,SPA_LOG_LEVEL_ERROR,__VA_ARGS__)
#define | spa_log_warn(l, ...) spa_log_lev(l,SPA_LOG_LEVEL_WARN,__VA_ARGS__)
#define | spa_log_info(l, ...) spa_log_lev(l,SPA_LOG_LEVEL_INFO,__VA_ARGS__)
#define | spa_log_debug(l, ...) spa_log_lev(l,SPA_LOG_LEVEL_DEBUG,__VA_ARGS__)
#define | spa_log_trace(l, ...) spa_log_lev(l,SPA_LOG_LEVEL_TRACE,__VA_ARGS__)
#define | spa_logt_error(l, t, ...) spa_logt_lev(l,SPA_LOG_LEVEL_ERROR,t,__VA_ARGS__)
#define | spa_logt_warn(l, t, ...) spa_logt_lev(l,SPA_LOG_LEVEL_WARN,t,__VA_ARGS__)
#define | spa_logt_info(l, t, ...) spa_logt_lev(l,SPA_LOG_LEVEL_INFO,t,__VA_ARGS__)
#define | spa_logt_debug(l, t, ...) spa_logt_lev(l,SPA_LOG_LEVEL_DEBUG,t,__VA_ARGS__)
#define | spa_logt_trace(l, t, ...) spa_logt_lev(l,SPA_LOG_LEVEL_TRACE,t,__VA_ARGS__)
#define | spa_log_trace_fp(l, ...) spa_log_lev(l,SPA_LOG_LEVEL_TRACE,__VA_ARGS__)
#define | SPA_KEY_LOG_LEVEL "log.level"
| keys can be given when initializing the logger handle
#define | SPA_KEY_LOG_COLORS "log.colors"
| enable colors in the logger, set to "force" to enable colors even when not logging to a terminal
#define | SPA_KEY_LOG_FILE "log.file"
| log to the specified file instead of stderr.
#define | SPA_KEY_LOG_TIMESTAMP "log.timestamp"
| log timestamps
#define | SPA_KEY_LOG_LINE "log.line"
| log file and line numbers
#define | SPA_KEY_LOG_PATTERNS "log.patterns"
| Spa:String:JSON array of [ {"pattern" : level}, ... ].

## Enumerations
enum | spa_log_level { SPA_LOG_LEVEL_NONE = 0 , SPA_LOG_LEVEL_ERROR , SPA_LOG_LEVEL_WARN , SPA_LOG_LEVEL_INFO , SPA_LOG_LEVEL_DEBUG , SPA_LOG_LEVEL_TRACE }

## Functions
static void | spa_log_topic_init (struct spa_log *log, struct spa_log_topic *topic)
static bool | spa_log_level_topic_enabled (const struct spa_log *log, const struct spa_log_topic *topic, enum spa_log_level level)

## Detailed Description

`spa/support/log.h`